Subject: Re: [PATCH net-next v8 0/4] net: Add Keystone NetCP ethernet driver support

From: Murali Karicheri <[email-masked]>
Date: Thu, 29 Jan 2015 18:20:24 -0500

On 01/29/2015 05:00 PM, Arnd Bergmann wrote:
> On Thursday 29 January 2015 12:21:36 Murali Karicheri wrote:
>>
>> I think the solution is to make the cpsw_ale as a module and configured
>> through a Kconfig option. I am working on a fix for this now.
>>
>> Similar fix is required for cpts.o. Currently we are not using this
>> module for Netcp, but soon this will be re-used. I have send a patch
>> that is already applied to net-next removing cpts.o for Netcp.
>>
>
> Great, thanks a lot for the follow-up.
>
> 	Arnd
Arnd,

I have just posted a patch to nedev list to address this issue. Please 
review and let me know your comments. This also require some additional 
fixes in drivers/soc/ti/ to build them as modules as well. Santosh has 
queued them against next merge window.

Felipe, Mugunthan,

As the patch touches ti_cpsw as well, please review and provide your 
comments. It will be great if you can apply this patch on net-next 
branch and test it on ti platform using ti_cpsw driver.

-- 
Murali Karicheri
Linux Kernel, Texas Instruments
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html